﻿@model MainModel
@{
    var currentUser = Model.User;
    var activeGames = ViewData.Model.Games;
}

<div class="container shadow p-3 mb-3 bg-white rounded">
    <div class="row">
        <div class="col">
            <h2 class="text-dark">Aktive Spiele</h2>
        </div>
        <div class="col text-right">
            <button class="btn btn-success" onclick="create_modal('@Model.User.Id')"><i class="fas fa-plus-circle mr-2"></i>Spiel erstellen</button>
            <button class="btn btn-info" onclick="refresh()"><i class="fas fa-sync"></i></button>
        </div>
    </div>
    @{
        if (activeGames.Count > 0)
        {
            <table class="table table-striped">
                <thead>
                        <tr>
                            <th scope="col">Unit</th>
                            <th scope="col">Erstellt von</th>
                            <th scope="col">Am Zug</th>
                            <th scope="col">Anzahl Spieler</th>
                            <th scope="col"></th>
                        </tr>
                </thead>
                <tbody>
                    @{ foreach (var spiel in activeGames)
                        {
                            <tr>
                                <td>@spiel.Unit.Beschreibung</td>
                                <td>@spiel.Spieler1.Name</td>
                                <td>@(spiel.SpielerAmZug == null ? "Warten auf zweiten Spieler ..." : spiel.SpielerAmZug.Name)</td>
                                <td>@(spiel.Spieler2 == null ? 1 : 2) / 2</td>
                                @{
                                    if (spiel.SpielerAmZug.Name == currentUser.Name)
                                    {
                                        <td class="text-right">
                                            <button class="btn btn-outline-danger" style="min-width: 64px;" onclick="leave_modal(@spiel.Id, @Model.User.Id)"><i class="fas fa-door-open"></i></button>
                                            <button class="btn btn-outline-primary" style="min-width: 64px;" onclick="play_modal('@Model.User.Id', @spiel.Id)"><i class="fas fa-play"></i></button>
                                        </td>
                                    }
                                    else
                                    {
                                        <td class="text-right">
                                            <button class="btn btn-outline-danger" style="min-width: 64px;" onclick="leave_modal(@spiel.Id, @Model.User.Id)"><i class="fas fa-door-open"></i></button>
                                            <button class="btn btn-outline-secondary" style="min-width: 64px;" onclick="view_modal('@Model.User.Id', @spiel.Id)"><i class="far fa-eye"></i></button>
                                        </td>
                                    }
                                }
                            </tr>
                        }
                    }
                </tbody>
            </table>
        }
        else
        {
            <h5 class="text-faded">Sie haben keine aktiven Spiele! Treten Sie einem bei um zu beginnen.</h5>
        }
    }
</div>